Skip to main content
DELETE

Authorizations

x-publisher-token
string
header
required

Publisher token, as displayed in the Publisher Dashboard.

Path Parameters

externalId
string
required

External ID that you defined.

Example:

"new_year_ribbon"

Response

Badge deleted successfully.

id
string

Badge ID.

Example:

"507f1f77bcf86cd799439011"

name
string

Badge name.

Example:

"New Year Celebration"

publisherBadgeId
string

Badge ID that you defined.

Example:

"new_year_celebration"

type
enum<string>

Badge type.

Available options:
emblem
Example:

"emblem"

badgeImageId
string

Asset ID of the badge image. Save this value to reuse the same asset in future create or update requests. Only present for emblem badges when the image is linked to an asset.

Example:

"507f1f77bcf86cd799439011"

badgeImageUrl
string<url>

Badge image URL. For uploaded files, this is the Appcharge-hosted CDN URL. For external image URLs, this is the original image URL served from the provided URL. For emblem badges, returned alongside badgeImageId when the image is linked to an asset.

Example:

"https://media.appcharge.com/media/69133d595af23405d8e843a5"